Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: Canon Pixma MP620 in Ubuntu 11.04

  1. #11
    Join Date
    Oct 2009
    Location
    Reykjavk, sland
    Beans
    9,476
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: Canon Pixma MP620 in Ubuntu 11.04

    Moved to Hardware and Laptops.
    About problems due to upgrading
    Bringing old hardware back to life.
    Please visit Quick Links -> Unanswered Posts

  2. #12
    Join Date
    Jan 2011
    Location
    Land of Cheese
    Beans
    25
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Canon Pixma MP620 in Ubuntu 11.04

    Installed this yesterday in 11.10. Worked flawlessly. Thanks, rhgv65c/BK Integration for making this process so much easier than it used to be!

  3. #13
    Join Date
    Apr 2013
    Beans
    7

    Re: Canon Pixma MP620 in Ubuntu 11.04

    I'm attempting to install the MP620B in Ubuntu 12.10 x64 and having issues. Followed the link and manually entered the IP during setup, when going to the Printers configuration screen and clicking Add there is no Canon protocol option. When entering "bjnp://(IP address):8611" manually, and directing it to the PPD file in the MP620-630-Linux-Printer/PPD folder, it spits out the following error: There was an error during the CUPS operation: 'client-error-not-possible'.
    Last edited by f00dl3; April 12th, 2013 at 01:35 AM.

  4. #14
    Join Date
    Apr 2005
    Beans
    1,783

    Re: Canon Pixma MP620 in Ubuntu 11.04

    here is a 4yr old guide to installing this printer; current Canon printers all have linux support; not all did in 2009;

    http://www.nervous.it/lang/en-us/200...ess-on-ubuntu/

    the basis is installing an MP610 driver from Canon and then pointing this to a ppd file that is called MP620; when one looks at a ppd file in a text editor such as gedit, it is very simple to replace MP610 with MP620

    eg this page from Canon Asia

    http://support-asia.canon-asia.com/P..._os&g_os=Linux

    has the debian packages for the MP610: one installs two packages: COMMON first and then the MP610

    things are more complicated using a 64bit system for drivers that were only provided in 32bit format: (as 64bit was uncommon in 2009);

    if you have only just installed ubuntu, you might consider adding a 32bit partition of Ubuntu;

    (and as the new 13.04 is to be released in a week, you could consider installing a 32bit partition of this new Ubuntu ..)

  5. #15
    Join Date
    Apr 2013
    Beans
    7

    Re: Canon Pixma MP620 in Ubuntu 11.04

    Seriously - you are advising me to downgrade to 32 bit and live 10 years in the past so it "works"? Seems like Linux is still stuck in the mid 2000s - especially with Wine supporting only DirectX 9!

    The instructions didn't work at all - the drivers pointed to in that document were so outdated that Ubuntu made me do a partial distribution upgrade just to get back to "today." I got a feeling that the Canon MP620b is never going to work in Ubuntu 12.10 and I may as well just give up, and print everything in Windows XP.

    At least Skyrim works. Using DX9 "emulators."

  6. #16
    Join Date
    Oct 2009
    Location
    Reykjavk, sland
    Beans
    9,476
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: Canon Pixma MP620 in Ubuntu 11.04

    Quote Originally Posted by f00dl3 View Post
    Seems like Linux is still stuck in the mid 2000s
    If there is a driver problem you should direct excess anger towards Canon. They choose which drivers to publish and maintain. 'Linux', whomever you refer to with that title, can not do much.
    About problems due to upgrading
    Bringing old hardware back to life.
    Please visit Quick Links -> Unanswered Posts

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •